org.hibernate.search.engine.impl

## Class SearchIntegrationConfigContext

- java.lang.Object
- - org.hibernate.search.engine.impl.SearchIntegrationConfigContext

-     public final class SearchIntegrationConfigContext
      extends Object

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchIntegrationConfigContext(IndexManagerType type, ServiceManager serviceManager, SearchConfiguration searchConfiguration)`
    `SearchIntegrationConfigContext(IndexManagerType type, ServiceManager serviceManager, SearchConfiguration searchConfiguration, SearchIntegration previousIntegrationState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MutableAnalyzerRegistry` | `getAnalyzerRegistry()`
    `MissingValueStrategy` | `getMissingValueStrategy()`
    `MutableNormalizerRegistry` | `getNormalizerRegistry()`
    `ImmutableSearchIntegration` | `initialize(Map<String,AnalyzerDef> mappingAnalyzerDefs, Map<String,NormalizerDef> mappingNormalizerDefs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchIntegrationConfigContext

          public SearchIntegrationConfigContext(IndexManagerType type,
                                                ServiceManager serviceManager,
                                                SearchConfiguration searchConfiguration)

    - #### SearchIntegrationConfigContext

          public SearchIntegrationConfigContext(IndexManagerType type,
                                                ServiceManager serviceManager,
                                                SearchConfiguration searchConfiguration,
                                                SearchIntegration previousIntegrationState)

  - ### Method Detail

    - #### getMissingValueStrategy

          public MissingValueStrategy getMissingValueStrategy()

    - #### getAnalyzerRegistry

          public MutableAnalyzerRegistry getAnalyzerRegistry()

    - #### getNormalizerRegistry

          public MutableNormalizerRegistry getNormalizerRegistry()

    - #### initialize

          public ImmutableSearchIntegration initialize(Map<String,AnalyzerDef> mappingAnalyzerDefs,
                                                       Map<String,NormalizerDef> mappingNormalizerDefs)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved